> For the complete documentation index, see [llms.txt](https://docs.verifone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verifone.com/feature-references/features-and-products-references/age-restriction.md).

# Age Restriction

Sales of some products are restricted by age.

## OVERVIEW

In a transaction, restrictions prevent sales of specific items during specific periods of time and restricts sale of some products by age.

In a transaction, following types of restrictions can be used:

* Blue Law - Set up any local government time periods that restrict sales on certain items during defined periods of time.
* Customer ID Check - Sales of some products are restricted by age. This feature reference covers the age restrictions.

### TruAge™ Digital ID-Verification <a href="#truage-tm-_digital_id-verification" id="truage-tm-_digital_id-verification"></a>

TruAge is a digital identification solution that enhances current age-verification systems at all retail points of sale and protects user privacy. TruAge was developed by NACS (National Association of Convenience Stores) the global trade association that represents the convenience store industry, and Conexxus, its standards-setting partner.

TruAge makes it easier to accurately verify a customer’s identity when purchasing age-restricted products. To support TruAge, Verifone Commander sends customer ID data to a central server for validation and token generation, and send basket data (number of age restricted items bought) to an auditing central server.

The number of age restricted items that can be sold to verified customers in a particular time period across stores can also be controlled by the auditing central server.

If the system does not collect the customer ID for products that have such manufacturer or regulatory restrictions, then the sale will be pushed to TruAge server without the identification details of the customer. There is no validation for the customer. In this case the TruAge server just keeps track of the online age restricted items sales happening at the site.

{% hint style="info" %}
*TruAge digital identification solution is available only from Commander systems Production Software Commander Release 53.41 or higher unless noted otherwise.*<br>
{% endhint %}

Visit [https://www.mytruage.org/ for more information.](https://www.mytruage.org/)

If retailers want to sign up for TruAge, go to: [https://www.mytruage.org/become-a-](https://www.mytruage.org/become-a-partner.html)[partner.html.](https://www.mytruage.org/become-a-partner.html)

{% hint style="info" %}
*The first phase* TruAge Digital ID Verification system only *supports driver’s licenses by scanning or swiping. Manual entry is not supported.*

*If an ID is manually entered, then the purchase will be audited by TruAge sever with Age Verify Token set to none.*

*Refer to “Age Verify Token “none” or Empty” for more information.*
{% endhint %}

TruAge should make sure that their MNSP have configured access routes from Verifone Commander to TruAge server.

{% hint style="info" %}
*Verifone Commander Software Release 55.02 allows cashiers to scan customer’s unique QR code from TruAge mobile app if the customer is on boarded with TruAge through TrueAge mobile app.*<br>
{% endhint %}

### System Requirements <a href="#system_requirements" id="system_requirements"></a>

#### Supported Hardware <a href="#supported_hardware" id="supported_hardware"></a>

• Verifone Commander with C18

• Verifone Commander/RubyCi with Topaz

• Verifone Commander /RubyCi with Ruby2

• Scanner with 2D Bar code (optional but required for force scanning and/or TruAge). See [Zebra Scanners](https://docs.verifone.com/feature-references/features-and-products-references/zebra-scanners.md).

• PIN pad Magnetic Stripe Reader (optional)

#### Supported Software <a href="#supported_software" id="supported_software"></a>

Verifone Commander Production Software Releases unless noted otherwise:

• Release 51+

• Release 53.41+ for TruAge digital identification solution

• Release 55.02 for TruAge mobile IDs

### Related topics

* [Self Checkout](https://docs.verifone.com/feature-references/features-and-products-references/self-checkout.md) — See how age-restricted sales, delayed ID checks, and cashier assist work at SCO.
* [Zebra Scanners](https://docs.verifone.com/feature-references/features-and-products-references/zebra-scanners.md) — Set up supported 1D and 2D scanners for license and QR code reads.
* [Release 53 & Higher UI Reference](https://docs.verifone.com/feature-references/features-and-products-references/release-53-and-higher-ui-reference.md) — Check newer UI behavior, including PIN pad driver license swipe support.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.verifone.com/feature-references/features-and-products-references/age-restriction.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
